- Qt 6.8
- Qt Widgets
- C++ Classes
- QTapAndHoldGesture
- Qt 6.8.1 Reference Documentation

# QTapAndHoldGesture Class

The QTapAndHoldGesture class describes a tap-and-hold (aka LongTap) gesture made by the user. More...

Header: | `#include <QTapAndHoldGesture>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QGesture

- List of all members, including inherited members

## Properties

- position : QPointF

## Public Functions

virtual | ~QTapAndHoldGesture()
QPointF | position() const
void | setPosition(const QPointF &pos)

## Static Public Members

void | setTimeout(int msecs)
int | timeout()

## Detailed Description

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures in Widgets and Graphics View document.

See also QPanGesture and QPinchGesture.

## Property Documentation

### position : QPointF

This property holds the position of the tap

Access functions:

QPointF | position() const
void | setPosition(const QPointF &pos)

## Member Function Documentation

### `[virtual noexcept]` QTapAndHoldGesture::~QTapAndHoldGesture()

Destructor.

### `[static]` void QTapAndHoldGesture::setTimeout(int msecs)

Set the timeout, in milliseconds, before the gesture triggers.

The recognizer will detect a touch down and if msecs later the touch is still down, it will trigger the QTapAndHoldGesture. The default value is 700 milliseconds.

See also timeout().

### `[static]` int QTapAndHoldGesture::timeout()

Gets the timeout, in milliseconds, before the gesture triggers.

The recognizer will detect a touch down and if timeout() later the touch is still down, it will trigger the QTapAndHoldGesture. The default value is 700 milliseconds.

See also setTimeout().